/***************************** LICENSE START ***********************************

 Copyright 2013 ECMWF and INPE. This software is distributed under the terms
 of the Apache License version 2.0. In applying this license, ECMWF does not
 waive the privileges and immunities granted to it by virtue of its status as
 an Intergovernmental Organization or submit itself to any jurisdiction.

 ***************************** LICENSE END *************************************/


#pragma once

#include "MvQPalette.h"
#include "MvQRequestPanelHelp.h"
#include "MvIconParameter.h"

#include <QWidget>

class MvQStationsWidget;

class RequestPanel;

class MvQStationsHelp : public MvQRequestPanelHelp
{
    Q_OBJECT

public:
    MvQStationsHelp(RequestPanel& owner, const MvIconParameter& param);
    ~MvQStationsHelp() override = default;

    void start() override {}
    bool dialog() override { return false; }
    QWidget* widget() override;

public slots:
    void slotSelected(QString);

protected:
    void refresh(const std::vector<std::string>&) override;

private:
    MvQStationsWidget* selector_;
};
